YaCy-Bugtracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000406YaCy[All Projects] Generalpublic2014-06-01 20:012014-09-13 16:56
Reporterotyugh 
Assigned ToOrbiter 
PrioritylowSeverityblockReproducibilityrandom
StatusresolvedResolutionfixed 
ETAnone 
PlatformOSOS Version
Product VersionYaCy 1.6 
Target VersionFixed in Version 
Summary0000406: "Too many open files" while searching&crawling
DescriptionIt actually only appear quite randomly but sometimes launching a search while crawling does that :

HTTP ERROR 500

Problem accessing /yacysearch.html. Reason:

    Server Error

Caused by:

java.io.FileNotFoundException: /usr/share/yacy/DATA/LOCALE/htroot/fr/yacysearch.html (Too many open files)
    at java.io.FileInputStream.open(Native Method)
    at java.io.FileInputStream.<init>(FileInputStream.java:146)
    at net.yacy.kelondro.util.FileUtils.read(FileUtils.java:290)
    at net.yacy.http.servlets.YaCyDefaultServlet.handleTemplate(YaCyDefaultServlet.java:909)
    at net.yacy.http.servlets.YaCyDefaultServlet.doGet(YaCyDefaultServlet.java:306)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:687)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:790)
    at org.eclipse.jetty.servlet.ServletHolder.handle(ServletHolder.java:738)
    at org.eclipse.jetty.servlet.ServletHandler.doHandle(ServletHandler.java:551)
    at org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:143)
    at org.eclipse.jetty.security.SecurityHandler.handle(SecurityHandler.java:544)
    at org.eclipse.jetty.server.session.SessionHandler.doHandle(SessionHandler.java:221)
    at org.eclipse.jetty.server.handler.ContextHandler.doHandle(ContextHandler.java:1111)
    at org.eclipse.jetty.servlet.ServletHandler.doScope(ServletHandler.java:478)
    at org.eclipse.jetty.server.session.SessionHandler.doScope(SessionHandler.java:183)
    at org.eclipse.jetty.server.handler.ContextHandler.doScope(ContextHandler.java:1045)
    at org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:141)
    at org.eclipse.jetty.server.handler.ContextHandlerCollection.handle(ContextHandlerCollection.java:199)
    at org.eclipse.jetty.server.handler.HandlerWrapper.handle(HandlerWrapper.java:97)
    at net.yacy.http.CrashProtectionHandler.handle(CrashProtectionHandler.java:33)
    at org.eclipse.jetty.server.handler.HandlerWrapper.handle(HandlerWrapper.java:97)
    at org.eclipse.jetty.server.Server.handle(Server.java:462)
    at org.eclipse.jetty.server.HttpChannel.handle(HttpChannel.java:279)
    at org.eclipse.jetty.server.HttpConnection.onFillable(HttpConnection.java:232)
    at org.eclipse.jetty.io.AbstractConnection$2.run(AbstractConnection.java:534)
    at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob(QueuedThreadPool.java:607)
    at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run(QueuedThreadPool.java:536)
    at java.lang.Thread.run(Thread.java:744)


YaCy 1.73 - powered by Jetty -



















Steps To ReproduceJust crawl (3-4) sites at once, and sometimes, you will not be able to launch any search with yacy.
Additional InformationNot really critical : you can refresh the page again and again !
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000862)
BuBu (developer)
2014-08-11 22:48

Possibly related to
http://mantis.tokeek.de/view.php?id=404 [^]
(if so then it's fixed)
(0000863)
martin_vahi (reporter)
2014-08-12 15:31

A shoddy, dirty, temporary, incomplete, workaround to the memory leakage problems is to set the crawling speed to 20 pages-per-minute (PPM) by entering the number, 20 to the PPM-field, and then, while the cursor resides at the PPM-field, hitting the Enter key.

A way to test, whether the 20PPM got saved, is to move away from the "Crawler Monitor" page to some other page and then reload the "Crawler Monitor" page, where the 20PPM was entered. If the 20PPM is in the PPM-field, then the that test passes.

Remotely related to the flaw 0000435
http://mantis.tokeek.de/view.php?id=435 [^]
(0000899)
Orbiter (manager)
2014-09-13 16:56

I believe there was a fix for that some time ago

- Issue History
Date Modified Username Field Change
2014-06-01 20:01 otyugh New Issue
2014-08-11 22:48 BuBu Note Added: 0000862
2014-08-12 15:31 martin_vahi Note Added: 0000863
2014-09-13 16:56 Orbiter Note Added: 0000899
2014-09-13 16:56 Orbiter Status new => resolved
2014-09-13 16:56 Orbiter Resolution open => fixed
2014-09-13 16:56 Orbiter Assigned To => Orbiter


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker